Name:           dxcc
Version:        20080225
Release:        10%{?dist}
Summary:        Small utility which determines the ARRL DXCC entity of a ham radio callsign

Group:          Applications/Communications
License:        GPLv2+
URL:            http://fkurz.net/ham/dxcc.html
Source0:        http://fkurz.net/ham/dxcc/%{name}-%{version}.tar.gz
#add .desktop file
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png
#fix install path
Patch0:         dxcc-20071205-makefile.patch
#separate core and gui
Patch1:         dxcc-20071205-gui.patch


BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#BuildRequires:  
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
dxcc is a small utility which determines the ARRL DXCC entity of a ham radio
callsign, based on the cty.dat country file by Jim Reisert, AD1C. 

Optional GUI with a world map showing the DXCC's location available.

%package gui
Summary:       Optional GUI with a world map showing the DXCC's location
Group:         Applications/Communications
BuildRequires: desktop-file-utils
Requires:      %{name} = %{version}-%{release}
Requires:      perl(Tk)

%description gui
dxcc-gui is a small utility which determines the ARRL DXCC entity of a amateur 
radio callsign, based on the cty.dat country file by Jim Reisert, AD1C. 

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# no upstream .desktop or icon yet
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install --vendor="fedora" \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
# --vendor obsolete per new guidlines but leaving it in because
# this is an existing package with vendor previously installed

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog COPYING README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz
%{_datadir}/%{name}

%files gui
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/%{name}-gui
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop


%changelog
* Wed Feb 2 2011 Randall 'Randy' Berry <dp67@fedoraproject.org> - 20080225-10
- Rebuild for broken deps

* Tue Jun 01 2010 Marcela Maslanova <mmaslano@redhat.com> - 20080225-9
- Mass rebuild with perl-5.12.0

* Sun Apr 18 2010 Randall 'Randy' Berry <dp67@fedoraproject.org> - 20080225-8
- Change .desktop file categories per bug 530829
- correct file atributes per rpmlint
- spelling in spec intentional (per rpmlint wanrings)

* Fri Dec 4 2009 Stepan Kasal <kasal@redhat.com> - 20080225-7
- build against perl 5.10.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 20080225-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 26 2008 Robert 'Bob' Jensen - 20080225-4
- Rawhide rebuild

* Tue Feb 26 2008 Robert 'Bob' Jensen - 20080225-3
- Submit for review

* Tue Feb 26 2008 Robert 'Bob' Jensen - 20080225-2
- Add .desktop and icon for -gui package

* Tue Feb 26 2008 Robert 'Bob' Jensen - 20080225-1
- Version Update
- Verify patches still needed

* Mon Jan 07 2008 Robert 'Bob' Jensen - 20071210-1
- Version Update

* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 20071205-1
- Initial build
